_me = frm_call.prototype;
function frm_call(){};

/**
 * @brief
 * 
 * @see  objects/frm_select_folder.xml
 * @see  inc/frm_select_folder.js
 * @see  forms/select_folder.xml
 * @see  inc/obj_context_folder.js
 * @see  inc/obj_context_item.js    
 */         
_me.__constructor = function(sContact,bEst,bVideo) {
    this._resizable  = false;
	this._size(350,220,true);

    var me = this,sip;
	if (!(sip = gui.frm_main.sip)){
		this._destruct();
		return;
	}

	this._title(getLang('SIP::INCOMINGCALL',[sContact]),true);
	
    this._draw('frm_call', 'main');

	sip._add_callbeck ([this, '_execute']);

    this.obj_label._escape = true;
	this.obj_label._listen('sip',['info']);

	// Create 'OK' button
    if (!bEst){
		this._create('btn_ok', 'obj_button', 'footer');
		this.btn_ok._value('DIAL::ANSWER');
		this.btn_ok._onclick = function() {
			sip._answerCall();
		};


        if (gui._REQUEST_VARS['video']){
	        this.__video = bVideo;

			// Create 'OK' button
			this._create('btn_video', 'obj_button', 'footer');
			this.btn_video._disabled(!bVideo);
			this.btn_video._value('DIAL::ANSWER_VIDEO');
			this.btn_video._onclick = function() {
				sip._answerCall(true);
			};
		}

		this.btn_ok._focus();
	}

	// Create 'CANCEL' button
	this._create('btn_cancel', 'obj_button', 'footer');
	this.btn_cancel._value('DIAL::DECLINE');
	this.btn_cancel._onclick = function() {
		if (sip._getStatus() == 'Calling')
			sip._hangup();
		else
			sip._declineCall();
			
		me._destruct();
	};
	
	//DTMF
	this.btn_7._onclick = function(){sip._dtmf('7');};
	this.btn_8._onclick = function(){sip._dtmf('8');};
	this.btn_9._onclick = function(){sip._dtmf('9');};
	this.btn_4._onclick = function(){sip._dtmf('4');};
	this.btn_5._onclick = function(){sip._dtmf('5');};
	this.btn_6._onclick = function(){sip._dtmf('6');};
	this.btn_1._onclick = function(){sip._dtmf('1');};
	this.btn_2._onclick = function(){sip._dtmf('2');};
	this.btn_3._onclick = function(){sip._dtmf('3');};
	this.btn_star._onclick = function(){sip._dtmf('*');};
	this.btn_0._onclick = function(){sip._dtmf('0');};
	this.btn_sharp._onclick = function(){sip._dtmf('#');};
};

_me._execute = function(aData){
	if (gui.frm_main.sip){
        var tmp = gui.frm_main.sip._getStatus();

		switch(tmp){
		case 'Call pending':
			//accept, decline
			if (this.btn_ok) this.btn_ok._disabled(false);
			if (this.btn_video && this.__video) this.btn_video._disabled(false);
			
			this.btn_cancel._value('DIAL::DECLINE');
		    break;

		case 'Calling':
			//disable, hangup
			if (this.btn_ok) this.btn_ok._disabled(true);
			if (this.btn_video && this.__video) this.btn_video._disabled(true);

			this.btn_cancel._value('DIAL::HANG_UP');

			dataSet.disobey(this.obj_label);
			
			if (!this.__timeInterval){
                this.__iterator = 1;
				this.__timeInterval = setInterval('try{'+this._pathName+'.__timer()}catch(e){}', 1000);
				this._add_destructor('__destruct');
			}

			break;
		    
		default:
			this._destruct();
		}
	}
};

_me.__destruct = function (){
	clearInterval(this.__timeInterval);
};

_me.__timer = function (){
	var h = Math.floor(this.__iterator/3600),
		m = Math.floor((this.__iterator%3600)/60),
		s = ((this.__iterator%3600)%60);

	this.obj_label._value(getLang('DIAL::CALL_DURATION',[(h?h+':':'')+(m<10?'0'+m:m)+':'+(s<10?'0'+s:s)]));

	this.__iterator++;
};