#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: icewarpd.sh - icewarpd launch script
#

# init working dir
pushd "$(pwd)" &> /dev/null
WORK_DIR=$(dirname "$0")
cd "$WORK_DIR" &> /dev/null
if [ $? -ne 0 ]; then
	echo "Can not change directory to ${WORK_DIR}"
	exit 1
fi

# include functions
if [ -z "$FUNCTIONS_INCLUDED" ]; then
    source "./scripts/inc/functions.sh"
fi

# call icewarpd
export IWS_INSTALL_DIR
export IWS_PROCESS_USER
export LD_LIBRARY_PATH="${SERVER_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH}"
"${IWS_INSTALL_DIR}/icewarpd" $*
RET=$?

# restore working dir
popd &> /dev/null
exit $RET
