#!/bin/bash

# init working dir
pushd "$(pwd)" &> /dev/null
WORK_DIR=$(dirname "$0")
cd "$WORK_DIR" &> /dev/null
if [ $? -ne 0 ]
    then
	echo "Can not change directory to ${WORK_DIR}"
	exit 1
fi

# include functions, export needed environment variables
# it is assumed that this script is in directory INSTALLDIR/loganalyzer
if [ -z "$FUNCTIONS_INCLUDED" ]
    then
	source ./../scripts/inc/functions.sh
fi

# start mlaimp
export INSTALL_DIR
export LD_LIBRARY_PATH="${INSTALLDIR}/lib"
# export LANG=it_IT.UTF-8
./mlaimp $* &> /dev/null

# restore working dir
popd &> /dev/null
exit 0
