#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: php.sh - server internal script
#

# init working dir
pushd "$(pwd)" &> /dev/null
WORK_DIR=$(dirname "$0")
cd "$WORK_DIR" &> /dev/null
if [ $? -ne 0 ]; then
    echo "Can not change directory to ${WORK_DIR}"
    exit 1
fi

# include functions
if [ -z "$FUNCTIONS_INCLUDED" ]; then
    source "./inc/functions.sh"
fi

# include daemon functions
source "./inc/daemonlib.sh"

# test for argument
if [ "x$1" == "x" ]; then
    exit 1
fi

executephp $*

# restore working dir
popd &> /dev/null
exit 0
