#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: wizard.sh - maintanance wizard script
#

# init working dir
pushd "$(pwd)" &> /dev/null
WORK_DIR=$(dirname "$0")
cd "$WORK_DIR" &> /dev/null
if [ $? -ne 0 ]; then
    echo "Can not change directory to ${WORK_DIR}"
    exit 1
fi

# include functions
if [ -z "$FUNCTIONS_INCLUDED" ]; then
    source "./inc/functions.sh"
fi

copyright()
{
    good ""
    hilite "IceWarp Server"
    hilite "(c) 1999 - 2009 IceWarp Ltd."
    good ""
    good "Wizard configuration assistant"
    good ""
    good "Logging is redirected to the following file for future reference:"
    good "Commands: ${WIZARD_CMD_LOG}"
    good ""
    good "Press [ENTER] to continue, CTRL-C to quit."
}

getscriptparams()
{
    case $1 in
	*)
	    MENUROOT="ROOT"
	    MENULIST="${IWS_INSTALL_DIR}/scripts/wizard/menu.lst"
	    menu "Root menu" "$MENUROOT" "$MENULIST" "wizard"
	    ;;
    esac
}

# Init command log
WIZARD_CMD_LOG="${IWS_INSTALL_DIR}/logs/wizard/icewarpserver-wizard-cmd.log"
rm -f "$WIZARD_CMD_LOG"
touch "$WIZARD_CMD_LOG"

# Display copyright and wait for [Enter]
clear
copyright
read -s

# Run wizard

export IWS_INSTALL_DIR
export IWS_PROCESS_USER
export MENU_SCRIPTS_DIR="${IWS_INSTALL_DIR}/scripts/wizard"
export WIZARD_CMD_LOG
clear
getscriptparams $*

# restore working dir
popd &> /dev/null
exit 0
