#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: domain_add.sh - wizard menu script
#

if [ "x${IWS_INSTALL_DIR}" == "x" ]; then
    echo "This script needs environment variable IWS_INSTALL_DIR"
    exit 1
fi

if [ "x${FUNCTIONS_INCLUDED}" == "x" ]; then
    source "${IWS_INSTALL_DIR}/scripts/inc/functions.sh"
fi

adddomain()
{
    good ""
    hilite "Create new domain:"
    good ""

    getparam "Domain name:"
    DOMAINNAME=$PARAM

    getparam "Domain description:"
    DOMAINDESC=$DOMAINNAME
    if [ "x${PARAM}" != "x" ]; then
        DOMAINDESC=$PARAM
    fi

    getparam "Administrator email address:"
    DOMAINADMIN="postmaster@${DOMAINNAME}"
    if [ "x${PARAM}" != "x" ]; then
        DOMAINADMIN=$PARAM
    fi

    good ""
    ask_with_confirmation "OK?" "Y" "n"
    if [ $? -eq 1 ]; then
        run_cmd_log "${IWS_INSTALL_DIR}/tool.sh" "create" "domain" "${DOMAINNAME}" "d_description" "${DOMAINDESC}" "d_adminemail" "${DOMAINADMIN}"
        if [ $? -eq 0 ]; then
	    good "Domain created"
	else
    	    bad "Domain save problem!"
	fi
    else
        warn "Domain cancelled"
    fi

    ask_with_confirmation "Add another domain?" "Y" "n"
    if [ $? -eq 1 ]; then
        adddomain
    fi
    return 0
}

adddomain
exit 0
