#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: domain_del.sh - wizard menu script
#

if [ "x${IWS_INSTALL_DIR}" == "x" ]; then
    echo "This script needs environment variable IWS_INSTALL_DIR"
    exit 1
fi

if [ "x${FUNCTIONS_INCLUDED}" == "x" ]; then
    source "${IWS_INSTALL_DIR}/scripts/inc/functions.sh"
fi

deldomain()
{
    good ""
    bad "${BAD}Delete domain:${NORMAL}"
    good ""

    getparam "Domain name:"
    DOMAINNAME=$PARAM
    good ""

    ask_with_confirmation "OK?" "N" "y"
    if [ $? -eq 2 ]; then
        run_cmd_log "${IWS_INSTALL_DIR}/tool.sh" "delete" "domain" "${DOMAINNAME}"
        if [ $? -eq 0 ]; then
	    good "Domain deleted"
	else
	     bad "Domain deletion problem!"
	fi
    else
        warn "User cancelled"
    fi

    ask_with_confirmation "Delete another domain?" "N" "y"
    if [ $? -eq 2 ]; then
        deldomain
    fi
    return 0
}

deldomain
exit 0
