#!/bin/bash
#
# IceWarp Server
# Copyright (c) 2008-2010 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com
#
# file: user_add.sh - wizard menu script
#

if [ "x${IWS_INSTALL_DIR}" == "x" ]; then
    echo "This script needs environamnt variable IWS_INSTALL_DIR"
    exit 1
fi

if [ "x${FUNCTIONS_INCLUDED}" == "x" ]; then
    source "${IWS_INSTALL_DIR}/scripts/inc/functions.sh"
fi

adduser()
{
    good ""
    hilite "Create new account:"
    good ""

    getparam "Email address:"
    EMAIL=$PARAM

    getpassword "Password:"
    PASSWORD=$PASSWORD_PARAM

    getparam "Full name:"
    FULLNAME=$EMAIL
    if [ "x$PARAM" != "x" ]; then
        FULLNAME=$PARAM
    fi

    ask_with_confirmation "Account is system administrator?" "Y" "n"
    if [ $? -eq 1 ]; then
        ADMIN="1"
    else
        ADMIN="0"
    fi

    good ""
    ask_with_confirmation "OK?" "Y" "n"
    if [ $? -eq 1 ]; then
        run_cmd_log "${IWS_INSTALL_DIR}/tool.sh" "create" "account" "${EMAIL}" "u_name" "${FULLNAME}" "u_password" "${PASSWORD}" "u_admin" "${ADMIN}"
        if [ $? -eq 0 ]; then
	    good "Account created"
	else
	    bad "Account save problem!"
	fi
    else
        warn "User cancelled"
    fi

    ask_with_confirmation "Add another user?" "Y" "n"
    if [ $? -eq 1 ]; then
        adduser
    fi
    return 0
}

adduser
exit 0
